volume_key-0.3.12

Introduction to volume_key

The volume_key package provides a library for manipulating storage volume encryption keys and storing them separately from volumes to handle forgotten passphrases.

[Note]

Note

Development versions of BLFS may not build or run some packages properly if dependencies have been updated since the most recent stable versions of the book.

Package Information

volume_key Dependencies

Required

cryptsetup-2.4.3, GLib-2.74.0, GnuPG-2.3.8, GPGME-1.18.0, and nss-3.85

Recommended

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/volume_key

Installation of volume_key

[Note]

Note

This package expands to the directory volume_key-volume_key-0.3.12.

Tell the building system how to locate GPGME and GnuPG correctly:

sed -e '/AM_PATH_GPGME/iAM_PATH_GPG_ERROR' \
    -e 's/gpg2/gpg/' -i configure.ac

Install volume_key by running the following commands:

autoreconf -fiv              &&
./configure --prefix=/usr    \
            --without-python &&
make

To test the results, issue: make check.

Now, as the root user:

make install

Command Explanations

--without-python: This parameter prevents building the Python 2 bindings, if Python-2.7.18 is installed.

--without-python3: Use this option if you do not want to build the Python 3 bindings. In this case, SWIG-4.1.0 is not needed.

Contents

Installed Program: volume_key
Installed Library: libvolume_key.so
Installed Directory: /usr/include/volume_key

Short Descriptions

volume_key

manages encrypted volume keys and passphrases

volume_key.so

contains API functions for managing encrypted volume keys